gc_profile_record Struct Reference

## Data Fields

double | gc_time
double | gc_mark_time
double | gc_sweep_time
double | gc_invoke_time
size_t | heap_use_slots
size_t | heap_live_objects
size_t | heap_free_objects
size_t | heap_total_objects
size_t | heap_use_size
size_t | heap_total_size
int | have_finalize
int | is_marked
size_t | allocate_increase
size_t | allocate_limit

## Detailed Description

Definition at line 107 of file gc.c.

## Field Documentation

size_t gc_profile_record::allocate_increase

Definition at line 123 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::allocate_limit

Definition at line 124 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_invoke_time

Definition at line 111 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_mark_time

Definition at line 109 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_sweep_time

Definition at line 110 of file gc.c.

Referenced by gc_profile_record_get().

double gc_profile_record::gc_time

Definition at line 108 of file gc.c.

Referenced by gc_profile_record_get(), and gc_profile_total_time().

int gc_profile_record::have_finalize

Definition at line 120 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_free_objects

Definition at line 115 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_live_objects

Definition at line 114 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_total_objects

Definition at line 116 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_total_size

Definition at line 118 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_use_size

Definition at line 117 of file gc.c.

Referenced by gc_profile_record_get().

size_t gc_profile_record::heap_use_slots

Definition at line 113 of file gc.c.

Referenced by gc_profile_record_get().

int gc_profile_record::is_marked

Definition at line 121 of file gc.c.

Referenced by gc_profile_record_get().

The documentation for this struct was generated from the following file:

- gc.c